Bug 1925640 (CVE-2020-36241) - CVE-2020-36241 gnome-autoar: Directory traversal via directory symbolic links pointing outside of the destination directory
Summary: CVE-2020-36241 gnome-autoar: Directory traversal via directory symbolic links...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-36241
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1925641 1928701 1928702
Blocks: 1925642 1939627
TreeView+ depends on / blocked
 
Reported: 2021-02-05 19:03 UTC by Guilherme de Almeida Suckevicz
Modified: 2022-04-17 21:08 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-09 23:23:44 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2021:4381 0 None None None 2021-11-09 18:30:30 UTC

Description Guilherme de Almeida Suckevicz 2021-02-05 19:03:46 UTC
autoar-extractor.c in GNOME gnome-autoar through 0.2.4, as used by GNOME Shell, Nautilus, and other software, allows Directory Traversal during extraction because it lacks a check of whether a file's parent is a symlink to a directory outside of the intended extraction location.

Reference:
https://gitlab.gnome.org/GNOME/gnome-autoar/-/issues/7

Upstream patch:
https://gitlab.gnome.org/GNOME/gnome-autoar/-/commit/adb067e645732fdbe7103516e506d09eb6a54429

Comment 1 Guilherme de Almeida Suckevicz 2021-02-05 19:03:59 UTC
Created gnome-autoar tracking bugs for this issue:

Affects: fedora-all [bug 1925641]

Comment 4 errata-xmlrpc 2021-11-09 18:30:29 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2021:4381 https://access.redhat.com/errata/RHSA-2021:4381

Comment 5 Product Security DevOps Team 2021-11-09 23:23:42 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-36241


Note You need to log in before you can comment on or make changes to this bug.